"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inEmailFormat = void 0;
exports.inEmailFormat = {
    message: (name, rules) => {
        let textRules = "*";
        if (typeof rules === "string") {
            textRules = rules;
        }
        else if (typeof rules.domain === "string") {
            textRules = rules.domain;
        }
        if (textRules === "*") {
            return `[${name}] must be in email format.`;
        }
        else {
            return `[${name}] must be in email format [domain: ${textRules}].`;
        }
    },
    validate: (value, rules) => {
        if (value === null || value === undefined) {
            return true;
        }
        const format = /^(([^<>()\[\]\.,;:\s@\"]+(\.[^<>()\[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i;
        const isEmail = format.test(value);
        if (isEmail) {
            let textRules = "*";
            let regexRules;
            if (typeof rules === "string") {
                textRules = rules;
            }
            else if (typeof rules.domain === "string") {
                textRules = rules.domain;
            }
            else {
                regexRules = rules.domain;
            }
            const domain = value.split("@").pop();
            if (regexRules && domain) {
                return regexRules.test(domain);
            }
            else if (textRules === "*") {
                return true;
            }
            else {
                return domain === textRules;
            }
        }
        else {
            return false;
        }
    },
};
//# sourceMappingURL=index.js.map